<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="requests-by-time" charttype="histogram">

 <lire:title>Requests By Request's Time Proxy Report</lire:title>
 <lire:description>
  <para>This report shows the number of requests by the time they took
   to process. It shows the number of requests that took between 0-1s, 1-2s, etc.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="range_size" type="duration" default="1s">
   <lire:description>
    <para>This parameter controls the size of the first range class.</para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Requests by Request's Time</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:rangegroup field="duration" range-size="$range_size"
   size-scale="2" label="Time Taken">
   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:rangegroup>
 </lire:report-calc-spec>

</lire:report-spec>
<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
